Hi,

I am having problems upgrading my 7.0 security providers.

I have set my enviroment as stated in the documents but when I issue the command:

java weblogic.Upgrade -mode silent -type securityproviders

in the directory holding the security provider jar files (or the GUI equivalent), I get the following log messages:

process, this may take a while ...>
rom D:\tmp\.>
urity provider jar with name pseAuthenticator.jar>
graded>
<>

I.e., the upgrade utility does not recognize the xml file in the jar. However, it's really there, at root level, with the name PseAuthenticator.xml and with the following contents:




Name = "PostenSeAuthenticator"
DisplayName = "PostenSeAuthenticator"
Package = "se.posten.pse.framework.security.internal.authenti cation.weblogic"
Extends = "weblogic.management.security.authentication.Authen ticator"

PersistPolicy = "OnUpdate"
Description = "The MBean that represents configuration attributes for the PseAuthentication"
>


Name = "ProviderClassName"
Type = "java.lang.String"
Writeable = "false"
Default = ""se.posten.pse.framework.security.internal.authent ication.weblogic.AuthenticationProviderImpl""
Description = "The name of the Java class used to load the Posten.se
Authentication provider."
/>

Name = "Description"
Type = "java.lang.String"
Writeable = "false"
Default = ""Provider that performs authentication from the Pse DB""
Description = "A short description of the Posten.se Authentication provider."
/>

Name = "Version"
Type = "java.lang.String"
Writeable = "false"
Default = ""1.0""
Description = "The version number of the Posten.se Authentication provider."
/>




Also, the stated class is present in the jar. What am I doing wrong?

Kind Regards

/Par